# TODO:
# - think about default directory for calamaris output (somwhere in /var) so
#   it works out-of-the-box
#
%include	/usr/lib/rpm/macros.perl
Summary:	Squid and NetCache log parser and report generator
Summary(pl.UTF-8):	Generator raportów dla Squida i NetCache
Name:		calamaris
Version:	2.99.4.0
Release:	3
License:	GPL
Group:		Networking/Utilities
Source0:	http://cord.de/tools/squid/calamaris/%{name}-%{version}.tar.gz
# Source0-md5:	61d4fe8b4c00550b58dff09b643aff10
Source1:	%{name}.crontab
Source2:	%{name}.sysconfig
Source3:	%{name}-croniface
URL:		http://cord.de/tools/squid/calamaris/Welcome.html
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
Requires:	/bin/zcat
Requires:	crondaemon
Requires:	setup >= 2.4.6
Conflicts:	logrotate < 3.7-3
Conflicts:	squid < 7:2.5.STABLE7-5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Calamaris is statistical info generator for Squid and NetCache based
on log parsing. It can create both plain-text and HTML reports. A
must-have for Squid/NetCache administrators.

%description -l pl.UTF-8
Calamaris generuje informacje statystyczne o pracy Squida i NetCache w
oparciu o ich logi. Potrafi tworzyć raporty w postaci czystego tekstu
jak i HTML-a. Niezbędny dla administratorów Squida i NetCache.

%prep
%setup -q
%{__sed} -i -e 's/use ident/use the ident/' calamaris calamaris.conf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,sysconfig},%{_bindir},%{_sbindir},%{_mandir}/man1}

install -p %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}
install -p calamaris $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/calamaris
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/calamaris
cp -p calamaris.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES EXAMPLES README
%config(noreplace) /etc/cron.d/calamaris
%attr(640,root,stats) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/calamaris
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/*/*
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/calamaris.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> c0dd6bc
- replace R /etc/cron.d with crondaemon

* Wed Dec 17 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 592a96b
- update so this somehow works now

* Mon Apr 09 2007 Elan Ruusamäe <glen@pld-linux.org> 07fe2fb
- probably HTML_LOGO typo

* Mon Apr 02 2007 Jan Rękorajski <baggins@pld-linux.org> f2328c1
- s|/var/log/archiv|/var/log/archive|g

* Wed Mar 07 2007 Elan Ruusamäe <glen@pld-linux.org> 69c2f3f
- need sysconfig/calamaris under stats cron

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7d1f2c5
- fix chown logic

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d2b1e78
- noarch

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 983a603
- converted to UTF-8

* Wed Feb 07 2007 Elan Ruusamäe <glen@pld-linux.org> 610796a
- $OUTPUT_DIR for easy changing location where to save reports

* Wed Feb 07 2007 Elan Ruusamäe <glen@pld-linux.org> 0ec66fe
- die early if output can't be written

* Wed Feb 07 2007 Elan Ruusamäe <glen@pld-linux.org> ad1d1ec
- fix indent

* Wed Feb 07 2007 Elan Ruusamäe <glen@pld-linux.org> 78031f0
- cron definitions file should not be executable

* Sun Jun 11 2006 Elan Ruusamäe <glen@pld-linux.org> 4bbfcf4
- source alter should be in %prep; cosmetics

* Sun Jun 11 2006 undefine <undefine@pld-linux.org> 59f4082
- very bad patch to workaround to rpm-perlreq bug in pld by pi3ter

* Sun Jun 11 2006 shadzik <shadzik@pld-linux.org> 4437ae5
- up to 2.99.4.0 by Piotr 'pi3ter' Michoński

* Tue May 10 2005 dzeus <dzeus@pld-linux.org> 030effa
- up to 2.59, unified

* Sun Nov 07 2004 paladine <paladine@pld-linux.org> daa82ad
- cosmetics

* Fri Oct 29 2004 Jacek Konieczny <jajcus@pld-linux.org> d836d25
- Release: 5
- calamaris is not run with uid=0 by default any more

* Fri Oct 29 2004 Jacek Konieczny <jajcus@pld-linux.org> 310f17c
- run calamaris with uid of 'stats' by default (parsing logs as 'root' could be insecure)
- user/group nobody should never own any file!

* Mon Jul 19 2004 averne <averne@pld-linux.org> 10c288b
- updated httpd path
- rel 4

